<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="column" label="FiloBlu Column" menu_section="filoblu_layout_controls">
        <parents default_policy="deny">
            <parent name="column-group" policy="allow"/>
            <parent name="column" policy="deny"/>
            <parent name="row" policy="allow"/>
        </parents>
        <is_system>true</is_system>
        <appearances>
            <appearance default="true" name="full-height">
                <elements>
                    <element name="main">
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                    </element>
                </elements>
            </appearance>
            <appearance name="align-top">
                <elements>
                    <element name="main">
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                    </element>
                </elements>
            </appearance>
            <appearance name="align-center">
                <elements>
                    <element name="main">
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                    </element>
                </elements>
            </appearance>
            <appearance name="align-bottom">
                <elements>
                    <element name="main">
                        <attribute name="data_background_image" storage_key="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="data_justify_content" source="data-justify-content" storage_key="justify_content"/>
                        <attribute name="load_with_priority" source="data-load-with-priority"/>
                    </element>
                </elements>
            </appearance>
        </appearances>
    </type>
</config>
